Loading...
Searching...
No Matches
tiny_dnn::graph_visualizer Class Reference

utility for graph visualization More...

`#include <graph_visualizer.h>`

## Public Member Functions

| graph_visualizer (layer *root_node, const std::string &graph_name="graph")
template<typename N >
| graph_visualizer (network< N > &network, const std::string &graph_name="graph")
void | generate (std::ostream &stream)
| generate graph structure in dot language format

## Detailed Description

utility for graph visualization

The documentation for this class was generated from the following file:

- tiny_dnn/util/graph_visualizer.h